Subject: Re: Composing git repositories

From: Jonathan Nieder <[email-masked]>
Date: Tue, 2 Apr 2013 12:20:17 -0700

Ramkumar Ramachandra wrote:
> Jonathan Nieder wrote:

>>         $ git clone git://repo.or.cz/git.git
[...]
>>         Don't forget to "git clone -b todo git://repo.or.cz/git.git git/Meta"
>>         for maintenance scripts.
>>         $
>
> Nope, it's not mandatory for everyone to use dotfiles.git in exactly
> the same way either.  In other words: I'm not sitting in an office and
> working with my colleagues on exactly the same things, in exactly the
> same way; wasn't that the Subversion age?  Some might decide to
> initialize a few submodules, change the URLs of some, and remove some.

Can't a script pointed to in README handle all these things?

>  I'd want my private fork to have commits changing "initialize
> submodule quux" to "don't initialize submodule quux", and be able to
> rebase that on top of upstream.

These would be patches to comment or uncomment repositories in the
list used by your "setup" script.

>                                  Why are you leaning towards solutions
> for very narrow usecases?

I don't think this hostile way of explaining things is warranted. :/

Yours,
Jonathan